> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a feedback form

> <Warning>
The Feedback Management API is currently in **BETA**, therefore the following endpoints are subject to modification, given a **2 week notice**.

If you are planning to use any of them, please **notify us** so we will be able to keep you informed about upcoming changes.
</Warning>

This endpoint lets you modify the properties of your feedback forms.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml put /feedback/feedback_form/{feedback_form_id}
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /feedback/feedback_form/{feedback_form_id}:
    put:
      tags:
        - Feedback Management
      summary: Update a feedback form
      description: >
        <Warning>

        The Feedback Management API is currently in **BETA**, therefore the
        following endpoints are subject to modification, given a **2 week
        notice**.


        If you are planning to use any of them, please **notify us** so we will
        be able to keep you informed about upcoming changes.

        </Warning>


        This endpoint lets you modify the properties of your feedback forms.
      operationId: updateFeedbackForm
      parameters:
        - in: path
          name: feedback_form_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: Request body to post a reply
              type: object
              required:
                - content
              properties:
                display_name:
                  allOf:
                    - $ref: '#/components/schemas/display_name'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/feedback_form'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
components:
  schemas:
    display_name:
      type: string
      description: Name of your form
      example: Global Satisfaction
    feedback_form:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the form
          example: 674d791c13c9d976e20001b1
        org_id:
          type: integer
          description: The organization ID that the form is for
          example: 42
        email_reply_source:
          type:
            - string
            - 'null'
          description: The source email to use when replying to a feedback
          example: noreply@example.com
        email_reply_subject:
          type:
            - string
            - 'null'
          description: The subject of the email used when replying to a feedback
          example: About your feedback
        email_reply_to_business:
          type: boolean
          default: false
          description: >
            Whether to use the business email address when the feedback
            respondent wants to reply to your reply


            Defaults to false, which means the respondent reply will be sent to
            the email_reply_source
        email_reply_expeditor_name:
          type:
            - string
            - 'null'
          description: >
            Name to use as the expeditor when replying to a feedback


            This is the name the user sees in his email inbox (which is by
            default the email_reply_source)
          example: MyCompany
        expiration_interval_seconds:
          type: integer
          default: 1209600
          description: >
            When a date parameter is set on the link sent to the customer, this
            will be used to disable answers to the feedback form after that many
            seconds


            Does nothing when the date parameter is not used on the link sent to
            the customer


            Defaults to 2 weeks


            Example: In the link you sent the customer, you set the date
            parameter to 2025-01-01T00:00:00Z.

            By default, the customer will no longer be able to answer the survey
            after 2025-01-15T00:00:00Z.
        display_name:
          type: string
          description: Name of your form
          example: Global Satisfaction
  responses:
    '400':
      description: Your request is incorrect
      content:
        application/json:
          schema:
            description: |
              Error that occcurs when your request is incorrect
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: object
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````